RPMDEPS(1)

NUME
rpmdeps - generează dependențele pachetului RPM

SINOPSIS
rpmdeps [opțiuni] [OPERAȚIA]

rpmdeps [opțiuni] [OPERAȚIA] FIȘIER ...

DESCRIERE
rpmdeps generează dependențele pachetului pentru unul sau mai multe fișiere, primite fie ca listă de nume de fișiere pe intrarea standard, fie ca argumente ale liniei de comandă.

rpmdeps nu este invocat în mod normal direct, dar acest lucru poate fi util pentru depanarea generării dependențelor și dezvoltarea de noi generatoare de dependențe. Directorul de instalare al rpmdeps poate fi determinat cu rpm -E „%{_rpmconfigdir}”.

Rețineți că comanda rpmdeps este utilizată numai pentru generarea automată a dependențelor într-un mod de compatibilitate moștenit al rpmbuild(1).

OPERAȚII
--alldeps
    Imprimă toate dependențele.

--conflicts
    Imprimă dependențele conflictelor.

--enhances
    Imprimă dependențele pachetelor ce îmbunătățesc pachetul țintă.

--obsoletes
    Imprimă dependențele pachetelor obsolete.

--orderwithrequires
    Imprimă dependențele „orderwithrequires” (în ordinea cerută).

-P, --provides
    Imprimă dependențele pachetelor ce „furnizează” (provides).

--recommends
    Imprimă dependențele pachetelor recomandate.

-R, --requires
    Imprimă dependențele necesare.

--suggests
    Imprimă dependențele pachetelor sugerate.

--supplements
    Imprimă dependențele pachetelor suplimentare.

ARGUMENTE
FIȘIER
    Orice fișier obișnuit.

OPȚIUNI
Consultați rpm-common(8) pentru opțiunile comune tuturor operațiilor.

MEDIU
RPM_BUILD_ROOT
    Prefixul de rută care trebuie eliminat la generarea dependențelor pe baza rutelor reale.

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE
rpmdeps --requires /bin/ls
    Afișează automat dependențele necesare ale binarului ls(1)

find popt-1.19-build/BUILDROOT -type f | /usr/lib/rpm/rpmdeps -P
    Afișează automat „furnizările” tuturor fișierelor din directorul popt-1.19-build/BUILDROOT.

CONSULTAȚI ȘI
rpm(8), rpmbuild(1), rpm-common(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.